xcb_present_select_input(3)

NAME
xcb_present_select_input -

SYNOPSIS
#include <xcb/present.h>

  Request function

xcb_void_cookie_t xcb_present_select_input(xcb_connection_t *conn, xcb_present_event_t eid, xcb_window_t window, uint32_t event_mask);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

eid TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

event_mask
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_present_select_input_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from present.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.